!define VERSION "0.1"
!define APPNAME "RTMP Launcher"

Name " "
OutFile "RTMP Stream Launcher.exe"

!include MUI2.nsh
!include nsDialogs.nsh
!include LogicLib.nsh
!include TextFunc.nsh
!include ChangeBtns.nsh
; ChangeBtns Button "Text"
; ShowButtons/EnableButtons Button 0/1
!include ChangeTitle.nsh
!include DialogCheckError.nsh
!include RelGotoPage.nsh

Caption "UGH"

RequestExecutionLevel user

XPStyle on

ShowInstDetails show

BrandingText " "

;Pages

Page custom Main



Var url
Var TextUrl
Var UrlIsValid
Var BtnDownload
Var AutoClose
Var AutoCloseVar
Var ffplay
Var Ffpath
Var LastStream
Var Dialog

# NSD_Create* FromLeft FromTop Width Height

Function .onGUIInit
	!insertmacro ShowButtons 2 0
FunctionEnd

Function ConfigLoad
	StrCpy "$Ffpath" "$APPDATA\ffplay"
	StrCpy "$OUTDIR" "$Ffpath"
	StrCpy "$ffplay" "$APPDATA\ffplay\ffplay.exe"
	CreateDirectory "$OUTDIR"
	
	IfFileExists "$Ffpath\settings.cfg" Cont3 +1
		File "settings.cfg"
	Cont3:
	IfFileExists $ffplay Cont1 +1
		File ffplay.exe
	Cont1:	
	IfFileExists "$Ffpath\ffplay.bat" Cont2 +1
		File ffplay.bat
	Cont2:
	${ConfigRead} "$Ffpath\settings.cfg" "AutoClose=" "$AutoCloseVar"
	${ConfigRead} "$Ffpath\settings.cfg" "LastStream=" "$LastStream"
FunctionEnd

Function .onInit

	Call ConfigLoad
FunctionEnd

Function DlButtonToggle
	; Disable button if text field is empty
	${NSD_GetText} $TextUrl $0
	StrCpy "$url" "$0"
	
	${If} $Url == ""
		EnableWindow $BtnDownload 0
	${Else}
		EnableWindow $BtnDownload 1
	${EndIf}
FunctionEnd

Function Main
	!insertmacro PageTitle "Main Menu"
	
	!insertmacro ShowButtons 1 0
	!insertmacro ShowButtons 2 0
	!insertmacro ShowButtons 3 0
	;Rename "Cancel" to Close.
	!insertmacro ChangeBtns 2 Close

	!insertmacro nsDialogsCreate
	
	${NSD_SetText} $TextUrl ""
	
	${NSD_CreateLabel} 0 0 100% 12u "RTMP URL:"
	
	${NSD_CreateText} 0 10% 100% 12u ""
	Pop $TextUrl
	${NSD_SetFocus} $TextUrl
	
	${NSD_CreateButton} -50u 20% 50u 15u "Open"
	Pop $BtnDownload
	EnableWindow $BtnDownload 0
	${NSD_OnChange} $TextUrl DlButtonToggle
	${NSD_SetText} $TextUrl $LastStream
	${NSD_OnClick} $BtnDownload Main.VarSave

	${NSD_CreateCheckbox} 0% 20% 90% 15u "Automatically close this dialog when opening a stream"
	Pop $AutoClose
	${NSD_SetState} $AutoClose $AutoCloseVar
	${NSD_OnClick} $AutoClose AutoClose
	
	nsDialogs::Show
	EnableWindow $BtnDownload 0
	StrCpy "$UrlIsValid"	"1"
FunctionEnd

Function AutoClose
	${NSD_GetState} $AutoClose $AutoCloseVar
	${ConfigWrite} "$Ffpath\settings.cfg" "AutoClose=" "$AutoCloseVar" $R1
FunctionEnd

Function Main.VarSave
	${ConfigWrite} "$Ffpath\settings.cfg" "LastStream=" "$url" $R1
	${NSD_GetText} $TextUrl $0
	StrCpy "$url" "$0"
	Exec "cmd.exe /c $\"$\"$ffpath\ffplay.bat$\" $\"$url$\" $\"$ffpath$\"$\""
	${If} "$AutoCloseVar" == "1"
		StrCpy $R9 120
		Call RelGotoPage
	${EndIf}
FunctionEnd

Section
SectionEnd